<title>Activity 1</title>
<h5><em>Science and Engineering Ethics (2001) 7, 231-238</em></h5>
	<hr>

<head>
	<strong><h1>Software Engineering of Code of Ethics and <br>Professional Practice</h1></strong>
</head>

<strong><h4>IEEE-CS/ACM Joint Task Force on Software Engineering of Code of Ethics and <br> Professional Practice</h4></strong>

	<hr>

<body>

<p>
	<strong>Keywords</strong>: code of ethics, professional responsibility, software engineering
</p>

<strong>PREAMBLE</strong>

<p>
This short version of the code summarizes aspirations at high level of abstraction. The clauses <br> that are included in the full version gives examples and details of how these aspirations change <br> the way we act as software engineering professionals. Without the aspirations, the details can <br> become legalistic and tedious; without the details, the aspirations can become high-sounding <br> but empty; together, the aspirations and the details form a cohesive code.
</p>

<p>
Software Engineers shall commit themselves to making the analysis, specification, design, <br> development, testing, and maintenance of software a beneficial and respected profession. In <br> accordance with their commitment to the health, safety and welfare of the public, software <br> engineers shall adhere to the following eight Principles:
</p>

<strong>PRINCIPLES</strong>

<ol>
	<li>
		<em>Public.</em>
		Software engineers shall act consistently with the public interest.
	</li>
	<li>
		<em>Client and employer.</em>
		Software engineers shall act in a manner that is in the best interests <br> of their client and employer, consistent with public interest.
	</li>
	<li>
		<em>Product.</em>
		Software engineers shall ensure that their products and related modifications <br> meet the highest professional standards possible.
	</li>
	<li>
		<em>Judgment.</em>
		Software engineers shall maintain integrity and independence in their <br> professional judgement.
	</li>
	<li>
		<em>Management.</em>
		Software engineering managers and leaders shall subscribe to and promote <br> an ethical approach to the management of software development and maintenance. 
	</li>
	<li>
		<em>Profession.</em>
		Software engineers shall advance the integrity and reputation of <br> the profession consistent with public interest.
	</li>
	<li>
		<em>Colleagues.</em>
		Software engineers shall be fair to and supportive of their colleagues.
	</li>
	<li>
		<em>Self.</em>
		Software engineers shall participate in lifelong learning regarding the practice of <br> their profession and shall promote an ethical approach to the practice of the profession.
	</li>
</ol>

</body>
